PHP Manual
Prev |  | Next

# bzopen

(PHP 4 >= 4.3.3, PHP 5)

bzopen -- Opens a bzip2 compressed file

## Description

resource bzopen ( string filename, string mode )

bzopen() opens a bzip2 (.bz2) file for reading or writing.

## Parameters

filename

  The name of the file to open.

mode

  Similar to the fopen() function ('r' for read, 'w' for write, etc.).

## Return Values

If the open fails, bzopen() returns `FALSE`, otherwise it returns a pointer to the newly opened file.

## Examples

Example 1. bzopen() example
`<?php $file = "/tmp/foo.bz2"; $bz = bzopen($file, "r") or die("Couldn't open $file for reading"); bzclose($bz); ?>`

## See Also

bzclose()

Prev | Home | Next
bzflush | Up | bzread